> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Consignment Shipping Quotes

GET https://api.bigcommerce.com/stores/{store_hash}/v2/orders/{order_id}/consignments/shipping/{shipping_consignment_id}/shipping_quotes

Get all shipping quotes persisted on an order for a shipping consignment.
This is a read-only endpoint whose response depends on the shipping quote. You can only generate a shipping quote using the storefront at this time. Orders that are created in the control panel, or using the API, return a 204 status response since you can't generate a shipping quote during that process.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/orders/order-consignments/get-order-consignment-shipping-quotes

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `order_id` (integer, required) — ID of the order.
- `shipping_consignment_id` (integer, required) — Shipping consignment ID.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

## Response

### 200

OK

- `id` (string, optional) — ID of the shipping quote.
- `uuid` (string, optional) — UUID of the shipping quote.
- `timestamp` (string, optional) — Time the order was created in RFC 2822 format.
- `shipping_provider_id` (string, optional) — ID of the shipping provider.
- `shipping_provider_quote` (list of ShippingQuotesBaseShippingProviderQuoteItems, optional) — Shipping quotes vary based on the shipping provider. Manual shipping methods such as fixed will return an empty array. Real-time shipping providers will return an object with the shipping information exactly as received, including the original cost and currency. Since the shipping quote is tied to a shipping address, only one quote is returned in the response.
- `provider_code` (string, optional) — Code of the shipping provider.
- `carrier_code` (string, optional) — Code of the shipping carrier.
- `rate_code` (string, optional) — Type of delivery. This can vary based on shipping quote.
- `rate_id` (string, optional) — This can vary based on shipping quote.
- `method_id` (integer, optional) — Shipping method ID

## Errors

### 404 Not Found Error

Not Found

- `list of OrdersOrderIdConsignmentsShippingShippingConsignmentIdShippingQuotesGetResponsesContentApplicationJsonSchemaItems`

## Types

### ShippingQuotesBaseShippingProviderQuoteItems

### OrdersOrderIdConsignmentsShippingShippingConsignmentIdShippingQuotesGetResponsesContentApplicationJsonSchemaItems

- `status` (integer, optional)
- `message` (string, optional)

## Examples

### Fixed Shipping

**Response**

```json
{
  "id": "42",
  "uuid": "7c65e0a0-cf46-4438-934e-c7b4edb31e18",
  "timestamp": "Fri, 24 Jun 2022 01:45:27 +0000",
  "shipping_provider_id": "bcstatic",
  "shipping_provider_quote": [],
  "provider_code": "peritem",
  "carrier_code": "",
  "rate_code": "",
  "rate_id": "",
  "method_id": 2
}
```

**SDK Code**

```python Fixed Shipping
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Fixed Shipping
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Fixed Shipping
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Fixed Shipping
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Fixed Shipping
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Fixed Shipping
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Fixed Shipping
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Fixed Shipping
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Fedex

**Response**

```json
{
  "id": "43",
  "uuid": "551404b9-beeb-4e49-922b-3b8d85002863",
  "timestamp": "Fri, 24 Jun 2022 03:52:03 +0000",
  "shipping_provider_id": "bcrealtime",
  "shipping_provider_quote": [
    {
      "additionalInfo": {},
      "carrierCode": {},
      "carrierName": "",
      "code": {},
      "dates": [],
      "deliveryMessage": "",
      "description": "",
      "insuredMailFee": {},
      "labelSizes": [],
      "name": "Priority Overnight",
      "rate": {
        "unit": "USD",
        "value": "107.32"
      },
      "rateId": {},
      "signatureConfirmationFee": {},
      "transitTime": "1"
    }
  ],
  "provider_code": "fedex",
  "carrier_code": "",
  "rate_code": "",
  "rate_id": "",
  "method_id": 5
}
```

**SDK Code**

```python Fedex
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Fedex
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Fedex
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Fedex
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Fedex
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Fedex
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Fedex
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Fedex
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```